* [gentoo-catalyst] [PATCH] modify alpha to use genisoimage
@ 2014-12-03 9:33 Raúl Porcel
0 siblings, 0 replies; only message in thread
From: Raúl Porcel @ 2014-12-03 9:33 UTC (permalink / raw
To: gentoo-catalyst; +Cc: Raúl Porcel
alpha needs to use app-cdr/cdrkit's genisoimage with an alpha-specific
option which mkisofs from app-cdr/cdrtools doesn't have
---
targets/support/create-iso.sh | 8 +++++---
1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/targets/support/create-iso.sh b/targets/support/create-iso.sh
index bf81cba..2f6bdfd 100755
--- a/targets/support/create-iso.sh
+++ b/targets/support/create-iso.sh
@@ -7,6 +7,9 @@ source ${clst_sharedir}/targets/support/filesystem-functions.sh
# Check for our CD ISO creation tools
case ${clst_hostarch} in
+ alpha)
+ cdmaker="genisoimage"
+ cdmakerpkg="app-cdr/cdrkit"
mips)
cdmaker="sgibootcd"
cdmakerpkg="sys-boot/sgibootcd"
@@ -82,9 +85,8 @@ fi
case ${clst_hostarch} in
alpha)
echo ">> Running mkisofs to create iso image...."
- echo ">> mkisofs -R -l -J ${mkisofs_zisofs_opts} -V \"${clst_iso_volume_id}\" -o ${1} ${clst_target_path}"
- mkisofs -R -l -J ${mkisofs_zisofs_opts} -V "${clst_iso_volume_id}" -o ${1} ${clst_target_path} || die "Cannot make ISO image"
- isomarkboot ${1} /boot/bootlx
+ echo ">> genisoimage --alpha-boot=/boot/bootlx -R -l -J ${mkisofs_zisofs_opts} -V \"${clst_iso_volume_id}\" -o ${1} ${clst_target_path}"
+ genisoimage --alpha-boot=boot/bootlx -R -l -J ${mkisofs_zisofs_opts} -V "${clst_iso_volume_id}" -o ${1} ${clst_target_path} || die "Cannot make ISO image"
;;
arm)
;;
--
2.0.4
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2014-12-03 9:33 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-12-03 9:33 [gentoo-catalyst] [PATCH] modify alpha to use genisoimage Raúl Porcel
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox